 arch/i386/Kconfig       |   11 +++++++++++
 include/asm-i386/page.h |   11 -----------
 2 files changed, 11 insertions(+), 11 deletions(-)

diff -puN arch/i386/Kconfig~4g4g-config-fix arch/i386/Kconfig
--- 25/arch/i386/Kconfig~4g4g-config-fix	2003-08-30 15:42:16.000000000 -0700
+++ 25-akpm/arch/i386/Kconfig	2003-08-30 15:42:16.000000000 -0700
@@ -433,6 +433,17 @@ config X86_4G
           of RAM will rarely see a benefit from this option - but it's not
           out of question, the exact circumstances have to be considered.
 
+config X86_SWITCH_PAGETABLES
+	def_bool X86_4G
+
+config X86_4G_VM_LAYOUT
+	def_bool X86_4G
+
+config X86_UACCESS_INDIRECT
+	def_bool X86_4G
+
+config X86_HIGH_ENTRY
+	def_bool X86_4G
 
 config HUGETLB_PAGE
 	bool "Huge TLB Page Support"
diff -puN include/asm-i386/page.h~4g4g-config-fix include/asm-i386/page.h
--- 25/include/asm-i386/page.h~4g4g-config-fix	2003-08-30 15:42:16.000000000 -0700
+++ 25-akpm/include/asm-i386/page.h	2003-08-30 15:42:16.000000000 -0700
@@ -11,17 +11,6 @@
 #define LARGE_PAGE_MASK (~(LARGE_PAGE_SIZE-1))
 #define LARGE_PAGE_SIZE (1UL << PMD_SHIFT)
 
-/*
- * these will go away - right now they keep all the
- * 4G/4G sub-features split up, for debugging:
- */
-#ifdef CONFIG_X86_4G
-#define CONFIG_X86_SWITCH_PAGETABLES y
-#define CONFIG_X86_4G_VM_LAYOUT y
-#define CONFIG_X86_UACCESS_INDIRECT y
-#define CONFIG_X86_HIGH_ENTRY y
-#endif
-
 #include <linux/config.h>
 
 #ifdef __KERNEL__

_
